﻿/*Copyright 2024 Wojciech Krzysztof Fiałkiewicz

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"),
to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.*/

using SonOfSun.Models;
using SonOfSun.Utils;
using System.Collections.Generic;
using System.Web.Mvc;

namespace SonOfSun.Controllers
{
    public class FeedbackController : Controller
    {
        // GET: Feedback
        public ActionResult Index()
        {
            List<string> names = FilesReader.GetAllPages("pages.text");
            List<Page> pages = new List<Page>();
            int i = 0;

            if (names != null)
            {
                foreach (string name in names)
                {
                    Page page = new Page();

                    i++;
                    page.Name = name;
                    page.Nr = i;
                    pages.Add(page);
                }
            }
            return View(pages);
        }

        public FileResult SonOfSun()
        {
            byte[] fileBytes = System.IO.File.ReadAllBytes("C:\\inetpub\\wwwroot\\SonOfSun\\Files\\SonOfSun.mp4");
            string fileName = "SonOfSun.mp4";

            Response.AppendToLog(Request.UserHostAddress + " " + fileName);

            return File(fileBytes, System.Net.Mime.MediaTypeNames.Application.Octet, fileName);
        }
    }
}